' "kill all enemys"
' Created with QDK Pro 4.03

!include <stdverbs.lib>

define game <kill all enemys>
	asl-version <400>
	gametype singleplayer
	start <bedroom>
	game author <GAMER!>
	game version <1.0>
	game copyright <GAMER! 2008 no right reserved>
	game info <Created with QDK Pro 4.03>
	background <black>
	foreground <white>
	startscript {
		msg <What's your name?>
		enter <name>
		give <machine gun>
		hide <front yard key>
		playmidi <game.mid>
		hide <grenade>
		hide <zombie costume>
		hide <key 2>
		hide <man untied>
	}
	command <kill yourself> {
		msg <You shoot yourself in the head.|n|n(YOU DIED!)>
		playwav <gun.wav>
		playerlose
	}
	command <say#say#> msg <"#say#">
	verb <kill> {
		msg <You can't kill that unkillable object.>
		playwav <gun.wav>
	}
	verb <pull> msg <You can't pull that.>
	verb <examine> msg <You can't examine that.>
	verb <open> msg <You can't open that.>
	verb <fry> msg <You can't fry that.>
	verb <climb> msg <You can't climb that.>
	verb <untie> msg <You can't untie that.>
	verb <move> msg <You can't move that.>
	error <badcommand; I don't understand commands from an alien planet. Please try again (not).>
	error <badthing; I can't see that particular item hear.>
	error <badplace; Sure, that room exists!>
	error <defaultuse; You can't use that at this particular moment.>
	error <cantdrop; You can't drop at this particular time.>
	error <badtake; That's untakeable at this moment.>
	error <itemunwanted; I'm sorry, that object doesn't feel like having that object given to it. Try again never!>
	error <noitem; You don't have that item.>
	error <alreadyopen; It's already open. You can't open something that's already been opened. Use your brains!>
	error <alreadyclosed; That's already closed. look next time!>
	error <cantopen; That can't be opened at the present. Try again in the never!>
	error <cantclose; That can't be closed for the present. Try again when hell freezes over.>
	error <cantput; That particular item can't be put in that particular place at this current place and time and century and million years and oh no I'm going mental lakjflkasdjlfskajalf.>
	error <cantremove; That's unremoveable at this time and place. Try again in the never place that doesn't exist!>
	error <alreadyput; That's already put there. Don't try it again or I'll go crazy. Oh, you did it again. Right, fjklasd;jflkdsjlkfjdsaljflksdjc,xnvmirehtiu8927598230457892347958yriehfvkjdsgklfjglksjvc,.xmz,mvcn.>
	error <badgo; I don't recognize the alien way you use the word "go." Try again never!>
	error <baduse; I don't understand the way you used the word "use." Try again never!>
	error <badgive; Please specify what you would like to give the object to. I'm not able to read peoples minds you know?>
	error <badput; Where would you like to put the item? I can't read minds you know?>
	error <badpronoun; Don't get that.>
	error <defaultout; There's no place that you could go out to. Look next time!>
	error <defaultlook; Yah, I'm looking at it. I'm still looking. Still looking. Still looking. 100 years later: I'm still looking. Still looking.>
	error <defaultspeak; The object doesn't respond to you.>
	error <defaulttake; You pick up the object.>
	error <defaultdrop; You drop the object.>
	error <defaultopen; You open the object.>
	error <defaultclose; You close the object.>
	error <defaultput; You put the item in the place.>
	error <defaultremove; You remove the item.>
end define

define options
	debug on
	panes on
	abbreviations on
end define

define synonyms
	shoot; s = kill
end define

define room <bedroom>
	alias <bedroom>
	prefix <your>
	look <This is your bedroom. Quik, kill the zombie in it!>

	define object <zombie>
		alias <zombie>
		alt <zombie>
		look <It's a zombie. To kill it, just type "shoot zombie" or "kill zombie.">
		prefix <a>
		displaytype <Object>
		article <it>
		gender <it>
		action <kill> {
			msg <You shoot the zombie in the head. It falls down dead. You can now go south into the hallway.>
			hide <zombie>
			playwav <gun.wav>
			create exit south <bedroom; upstairs hallway>
			timeroff <zombie bedroom>
		}
	end define

	define object <machine gun>
		alt <gun>
		look <It's your trusty machine gun.>
		prefix <your>
		displaytype <Object>
		article <it>
		gender <it>
	end define

end define

define room <upstairs hallway>
	prefix <the>
	look <This is the upstairs hallway of your house. Your friend was staying over. His corpse is lying on the ground. Zombies are eating it! They havent noticed you because they are having so much fun.>
	down <downstairs hallway>
	action <down> {
		msg <You descend the stairs into the downstairs hallway.>
		goto <downstairs hallway>
	}

	define object <zombies>
		alias <zombies>
		alt <zombies>
		look <They are scoffing on your friend's body. #Name# you must stop them. (OBVIOUSLY!) They haven't noticed you yet.>
		prefix <some>
		suffix <eating your friend's body>
		displaytype <Object>
		article <them>
		gender <they>
		action <kill> {
			msg <You shoot the zombies and they fall down dead.>
			playwav <gun.wav>
			hide <zombies>
		}
	end define

end define

define room <downstairs hallway>
	prefix <the>
	look <This is the downstairs hallway. YOu can see stairs leeding down to the basement. The living room is to the north the kitchen is to the west and the dining room is to the east. To the south is your front yard.>
	north <living room>
	south {
		if got <front yard key> then {
			msg <You unlock the door.>
			create exit south <downstairs hallway; front yard> } else msg <The door is locked. You need the key to unlock it.>
	}
	east <dining room>
	west <kitchen>
	up <upstairs hallway>
	down <basement>
	script {
		msg <|n>
		if here <zombie downstairs hallway> then {
			msg <There's a zombie in hear! Quik, kill it!>
			timeron <zombie downstairs hallway> } else msg <The zombie is now dead. It's body lies on the floor blood dripping from it.>
	}

	define object <zombie downstairs hallway>
		alias <zombie>
		alt <zombie>
		look <It's a zombie that's attacking you!>
		prefix <a>
		displaytype <Object>
		article <it>
		gender <it>
		action <kill> {
			msg <You shoot the zombie in the head.>
			playwav <gun.wav>
			hide <zombie downstairs hallway>
			timeroff <zombie downstairs hallway>
		}
	end define

end define

define room <basement>
	prefix <the>
	look <This is your cluttered basement. There are loads of crates stacked against the wall. A zombie is eating a box. That looks like fun?>
	up <downstairs hallway>

	define object <zombie basement>
		alias <zombie>
		alt <zombie>
		look <It's a zombie. It hasn't noticed you.>
		prefix <a>
		displaytype <Object>
		article <it>
		gender <it>
		action <kill> {
			msg <You shoot the zombie. It falls down dead!>
			playwav <gun.wav>
			hide <zombie basement>
		}
	end define

	define object <lever>
		alias <lever>
		alt <lever>
		look <It's a lever. You've never seen it before.>
		prefix <a>
		displaytype <Object>
		article <it>
		gender <it>
		action <pull> {
			msg <You pull the lever. Suddenly you see a machine gun lock on to you! It's in the ceiling. It shoots you and you die.|n|n|n(YOU DIED!)>
			playwav <gun.wav>
			playerlose
		}
	end define

	define object <cabinet key>
		alias <key>
		alt <key>
		look <It's a key marked "to open something.">
		take <You pick up the key.>
		prefix <a>
		displaytype <Object>
		article <it>
		gender <it>
		drop everywhere <YOu drop the key.>
	end define

end define

define room <kitchen>
	prefix <the>
	look <This is the messy kitchen. You can see a huge zombie.>
	east <downstairs hallway>

	define object <kitchen boss zombie>
		alias <boss zombie>
		alt <zombie; boss>
		look <It's the boss zombie. You should kill it!>
		prefix <the>
		displaytype <Object>
		article <it>
		gender <it>
		action <kill> {
			msg <You shoot the boss zombie. It grunts with a slight pain. Maybe you should keep shooting it.>
			playwav <gun.wav>
			msg <>
			if ( house boss health <= 0 ) then {
				msg <The huge boss drops down dead. You retrieve the key it was carying.>
				playwav <gun.wav>
				hide <kitchen boss zombie>
				show <front yard key>
				give <front yard key> } else msg <It's not dead yet. Keep shooting!>
		}
	end define

	define object <front yard key>
		alias <silver key>
		alt <key>
		look <It's a silver key. Hint, you could open a door with it!>
		prefix <a>
		displaytype <Object>
		article <it>
		gender <it>
		properties <kill=How can you kill a silver key?>
	end define

end define

define room <dining room>
	prefix <the>
	look <This is the huge dining room. A zombie is lying dead on the floor. What's it doing there?>
	west <downstairs hallway>

	define object <dead zombie>
		alt <zombie; dead; body>
		look <It's a zombie with a huge spike sticking out of it.>
		prefix <a>
		displaytype <Object>
		article <it>
		gender <it>
		action <examine> {
			if ask <Are you sure you want to examine it? You could impail yourself on the spike.> then {
				msg <You do this. YOu impail yourself on the spike. You scream in agony as you die in agony.|n|n(YOU DIED!)>
				playerlose } else msg <Good choice.>
		}
	end define

	define object <cabinet>
		alias <cabinet>
		alt <cabinet; cupboard; glass cupboard>
		look <It's a large openable cabinet.It's a cabinet. YOu could open it.>
		speak <It doesn't respond.>
		prefix <a largea>
		displaytype <Object>
		article <it>
		gender <it>
		properties <kill=How can you kill a cabinet?>
		action <open> {
			if got <cabinet key> then {
				if ask <You see a switch inside the cabinet. Would you like to flip it?> then msg <You flip the switch. You hear a hum from the hallway. What could it mean?> else {
					msg <YOU WIMP! You were too afraid to flip the switch. I'm going to have to kill you for that.|n|n(YOU DIED!)>
					playwav <gun.wav>
					playerlose } } else msg <The cabinet's locked. You need a key to open it.>
		}
	end define

end define

define room <living room>
	prefix <the>
	look <This is the living room. There is nothing interesting in hear except for a dead zombie. Not another one!>
	south <downstairs hallway>

	define object <dead zombie living room>
		alias <dead zombie>
		alt <zombie; corpse; body>
		look <It's the boddy of a zombie. He has bullets sticking out of his head. They weren't his bullets though.>
		prefix <a>
		displaytype <Object>
		article <it>
		gender <it>
		action <take> msg <Lugging a dead body around wouldn't get you anywhere.>
	end define

end define

define room <front yard>
	prefix <the>
	look <This front yard is the most cluttered ever! A zombie is leaning against the fence waiting for you!>
	west {
		if here <zombie front yard> then msg <The exit is blocked by a huge repulsive zombie.> else {
			msg <You run from the gate firing over your shoulder. Loads of zombies die. You made it out of the house!|n|n(YOU HAVEN'T WON YET THERE'S STILL MORE TO DO!)>
			goto <street> }
	}

	define object <zombie front yard>
		alias <zombie>
		alt <zombie>
		look <It's a zombie. You shoulld kill it.>
		speak <Don't talk to it, kill it!>
		prefix <a>
		displaytype <Object>
		article <it>
		gender <it>
		action <kill> {
			msg <You shoot the zombie. It yells out then grabs it's stomach. A baby zombie charges out from the stomach right at you! You shoot it and the two zombies both die. The gate and the exit are to the west. Quik!>
			playwav <gun.wav>
			pause <300>
			playwav <gun..wav>
			hide <zombie front yard>
		}
	end define

end define

define room <street>
	prefix <the>
	look <This is the abandoned street oudside your house. Corpses ly everywhere! The zombies killed them all! Two fbi agents are shooting zombies that come from the right and left at regular times.>
	indescription <You are on the street.>

	define object <fbi agents>
		alt <agents; men>
		look <They are guarding the houses from the zombies.>
		speak do <talk to fbi>
		prefix <some>
		displaytype <Object>
		article <them>
		gender <they>
	end define

end define

define room <huge house gateway>
	alias <gateway>
	prefix <the>
	look <This place is dark and gloomy. A zombie laughs from the tope of the gate. Another zombie guards the gate. They don't attack you. You know that they are just guarding the house.>
	indescription <You are standing before the gates of the old house.>

	define object <guard zombies>
		alias <zombies>
		alt <zombies>
		look <They are guarding the house from humans.>
		speak <"Go away scumbag" they scream at you. That was a nice way to start a conversation.>
		suffix <guarding the house>
		displaytype <Object>
		article <them>
		gender <they>
		action <kill> {
			msg <You raise your gun and shoot them.|n"Take that" you yell and walk through the gates into the entrance hall.>
			playwav <gun.wav>
			goto <huge house entrance hall>
		}
	end define

end define

define room <huge house entrance hall>
	alias <entrance hall>
	look <This entrance hall is huge. There are two statues to the north with a guard zombie in between them.>
	indescription <You are in the huge entrance hall of the old house.>
	north {
		msg <You walk in between the statues. You see that the statues have machine guns for mouthes. They fill your corpse with bullets.|n|n(YOU DIED!)>
		playerlose
	}

	define object <statues>
		alt <statues; figures>
		look <They are boring statues.>
		speak msg <Talking to them won't help you.>
		displaytype <Object>
		article <it>
		gender <it>
		action <kill> {
			msg <You aim the statues and fire! The bullet hits a switch that diactivates the atatues. You walk between them forgetting the guard zombie. You are grabbed and flung in an attic.|n"Ha ha HA! YOu will die! HA HA HA! I have trapped you! You really thought the zombies came from this house? Well, now you're going to die of starvation. Saying a simple word can get you out of this but remember... It's a long way to fall!"|nHint, you need help.|n"HA HA HA! The zombies are actually coming from bloknan island!">
			goto <attic>
			playwav <gun.wav>
		}
	end define

end define

define room <attic>
	look <You are lying on the floor tied up. You can see the window high abuv you. By the way, type hint in certain parts of the game for hints.>
	indescription <You are tied up in a huge attic.>
	command <hint> msg <You have to say something. You type this if you don't know a command. You need allot of help.>
	command <say help> {
		msg <"HHHHEEEELLLLPPPP!!!!"|nYou scream at the top of your voice. The guard gets annoyed and chucks you out the window!|n|n>
		wait <>
		msg <>
		if got <rope> then {
			msg <You throw the rope at a manhole. It catches and you swing down into a sewer. Few! That was a close one!>
			goto <sewer 1> } else {
			msg <You fall down a manhole and land in the water. Your head hits concrete and you crack your skull open.|n|n(YOU DIED!)>
			playerlose }
	}

	define object <rope>
		alias <rope>
		alt <rope>
		look <It's a long piece of rope. Use it wisely.>
		take <You just manage to pick it up.>
		prefix <a long piece of>
		displaytype <Object>
		article <it>
		gender <it>
		drop nowhere <You will need this.>
	end define

end define

define room <sewer 1>
	alias <sewer>
	prefix <the>
	look <This sewer is filthy. YOu can see a fashlight floating in the water.>
	command <use light> {
		msg <YOu shine the light around and see a crawlspace. You crawl through it and see loads of rats. Quik, kill them!>
		goto <sewer 2>
	}

	define object <flashlight>
		alias <flashlight>
		alt <light; torch>
		look <It's a flashlight.>
		take <You take the flashlight.>
		prefix <a>
		displaytype <Object>
		article <it>
		gender <it>
		drop everywhere <You drop the flashlight.>
	end define

end define

define room <sewer 2>
	alias <sewer>
	prefix <the>
	look <This part of the sewer is full of rats. To kill them (with the flashlight) just type "fry rats.">

	define object <rats>
		alt <rats; vermin>
		look <They are disgusting rats. Quik, #name#, fry them!>
		displaytype <Object>
		article <them>
		gender <they>
		properties <kill=Don't kill them, fry them!>
		action <fry> {
			msg <You aim the flashlight at the rats. They scatter revealing an exit to the north.>
			hide <rats>
			create exit north <sewer 2; sewer 3>
		}
	end define

end define

define room <sewer 3>
	alias <sewer>
	prefix <the>
	look <This part of the sewer contains a huge rat guard. You shine the flashlight on him but nothing happens. How can you get past him?>

	define object <rat guard>
		alt <guard>
		look <It's a rat guarding the exit to the east.>
		speak {
			msg <The guard injects you with the plague! Within hours, you die in agony!|n|n(#NAME#, YOU DIED!)>
			playerlose
		}
		prefix <a>
		displaytype <Object>
		article <it>
		gender <it>
		action <kill> {
			msg <YOu aim your gun and the flashlight at the guard. The guard shrivels then dies.>
			create exit east <sewer 3; sewer 4>
		}
	end define

end define

define room <sewer 4>
	alias <sewer>
	prefix <the>
	look <This is the room where the king of the rats lives. He laughs at you as you enter the room.|n"#name# I've been expecting you."|n"Rat king" you reply.|n~"I'm going to kill you!">

	define object <rat king>
		alt <king; rat>
		look <He's the rat king. Quik, kill him somehow!>
		speak {
			if ask <"Are you ready to fight me #name#?"> then {
				msg <You have started the battle!>
				flag on <battle started>
				timeron <rat timer> } else msg <YOU WIMP!>
		}
		prefix <the>
		displaytype <Object>
		article <it>
		gender <it>
		action <fry> if flag <battle started> then do <fry rat king> else msg <You haven't started the battle yet. Maybe you should talk to the rat king.>
	end define

end define

define room <street 2>
	alias <park street>
	look <This is the usually busy park street. You can see a zombie leaning over you! What are you going to do?>
	indescription <You are on park street.>

	define object <zombie park street>
		alias <zombie>
		alt <zombie>
		look <How will you get rid of it?>
		speak <Don't talk to it, do something else to it!>
		prefix <a>
		suffix <leaning over you>
		displaytype <Object>
		article <it>
		gender <it>
		properties <fry=You try to fry it but the flashlight has no efect.;fry=You try to fry it but the flashlight has no efect.>
		action <kill> {
			msg <You shoot the zombie but it doesn't die. Why?>
			playwav <gun.wav>
		}
		action <examine> {
			msg <"Why you looking at me human?"|n"I'm not" you reply.|n"Yes you are. I'm going to throw you in this boat."|nYOu are picked up by the zombie and thrown in the boat. You see a vampire...|n|nYour going to die!!!!!!!>
			goto <street 2>
		}
		action <kill> {
			msg <You shoot the zombie but it doesn't die. Why?>
			playwav <gun.wav>
		}
		action <examine> {
			msg <"Why you looking at me human?"|n"I'm not" you reply.|n"Yes you are. I'm going to throw you in this boat."|nYOu are picked up by the zombie and thrown in the boat. You see a vampire...|n|nYour going to die!!!!!!!>
			goto <boat>
		}
	end define

end define

define room <boat>
	look <You are trapped on a boat with a vampire! Oh ****! You are going to have an agonizing death!|nTo drive the boat just type "drive boat.">
	indescription <You are on a boat.>
	script timeron <vampire suck blood>
	command <drive boat> {
		if here <vampire boat> then msg <You can't drive the boat when the vampire is in it.> else {
			msg <You steer the boat toward the island the mad man mentioned.>
			goto <island beach>
			msg <Your boat crashes into the rocks at the edge of the lake. You crawl out of the boat onto the beach.>
			goto <island beach> }
	}

	define object <vampire boat>
		alias <vampire>
		alt <vamp; pire>
		look <It's a vampire.>
		prefix <a>
		displaytype <Object>
		article <it>
		gender <it>
		action <fry> {
			msg <You fry the vampire. It screams and falls overboard!>
			timeroff <vampire suck blood>
			hide <vampire boat>
		}
		action <fry> {
			msg <You fry the vampire. It screams and falls overboard!>
			timeroff <vampire suck blood>
			hide <vampire boat>
		}
	end define

end define

define room <island beach>
	alias <beach>
	look <This beach isn't like a normal beach. There is no sand. There is only rocks and some spears sticking up between them. A path stretches to the north.>
	indescription <You are on a beach.>
	north <island path>
end define

define room <island path>
	alias <path>
	look <This path stretches south to the beach. To the east is a load of zombies guarding a hole in the ground. You would never manage to kill all of them. There has to be another way.>
	indescription <You are walking along a path.>
	south <island beach>
	east {
		if got <grenade> then {
			msg <You walk up to the gates of the place where the zombies are having dinner and throw the grenade at them. It explodes killing all of them. You walk into the town of dead boddies.>
			goto <town>
			hide <grenade> } else msg <Walking in there would be suicide.>
	}

	define object <tree>
		alt <tree>
		look <It's a tall tree that stands next to the path.>
		prefix <a tall>
		displaytype <Object>
		article <it>
		gender <it>
		properties <examine=You can see that it is climable.>
		action <climb> {
			msg <You climb the tree. Suddenly a branch snaps. You fall to the ground. A grenade rolls out from under some leaves.>
			show <grenade>
		}
	end define

	define object <grenade>
		alias <grenade>
		alt <grenade>
		look <It's a grenade. You could use it to blow tuff up.>
		take <You take it.>
		prefix <a>
		displaytype <Object>
		article <it>
		gender <it>
		drop nowhere <If you dropped it it would probably explode killing you.>
	end define

end define

define room <town>
	alias <town>
	look <This place is full of dead boddies. To the northeast is a building with a zombie painted on the front. To the west is a path that stretches into the distance. However the gate closed and locked when you came in hear so you can't escape. The only obvious choice is the building to the northeast.>
	indescription <Your in a town.>
	northeast {
		msg <You walk into the building. The door slams shut behind you!>
		goto <building ground floor>
		playmidi <maze.mid>
	}
end define

define room <building ground floor>
	alias <building>
	look <To your dismay you see a maze stretching into the distance. You hate mazes! You were never good at them when you are playing computer games. You are famous for being really bad at them.>
	indescription <You are in a building.>
	north <maze 2>
	south <maze>
	east <maze>
	west <maze>
end define

define room <maze>
	alias <maze>
	look <This maze stretches in all directions. There has to be a way through it.>
	indescription <You are in a maze.>
	north <building ground floor>
	east <building ground floor>
	west <building ground floor>
	southwest <maze 2>
end define

define room <maze 2>
	alias <maze>
	look <This maze stretches in all directions. You don't have a clue where you are.>
	indescription <You are in a maze.>
	north <building ground floor>
	south <building ground floor>
	east <maze 3>
	west <building ground floor>
	northeast <maze>
end define

define room <maze 3>
	alias <maze>
	look <This maze stretches in all directions. You don't have a clue where you are.>
	indescription <You are in a maze.>
	north <building ground floor>
	south <maze 4>
	east <building ground floor>
	west <building ground floor>
end define

define room <maze 4>
	alias <maze>
	look <This is the end of the maze. You can see an elevator. Maybe you should take a ride in it.>
	indescription <You have reached the end of the maze!>
	north <maze 3>

	define object <elevator>
		alt <lift>
		look <It's an elevator. WOW! IT'S FASCINATING!>
		prefix <an>
		displaytype <Object>
		article <it>
		gender <it>
		action <take> {
			if ask <Do you wish to go up in the elevator?> then {
				msg <You get into the elevator and push the button. You get out of the elevator and arive in some kind of loby.>
				goto <lobby> } else msg <You decide not to go up in the elevator.>
		}
	end define

end define

define room <lobby>
	look <This is a lobby of some kind. A zombie is al=sleep behind his desk. He is carying some kind of map.>
	indescription <You are some kind of lobby.>
	north {
		if got <zombie costume> then {
			msg <You walk into a huge room full of people waiting for something.|n"When't the human torturing going to begin" one of them says.|n"torturing torturing torturing" they all start screaming at the top of thir voices. What are you going to do?>
			goto <entertainment hall> } else msg <You can't just charge through the door. There must be another way.>
	}

	define object <zombie lobby>
		alias <zombie>
		alt <zombie>
		look <He is asleep at his desk.>
		speak <Don't wake him up!>
		prefix <a>
		displaytype <Object>
		article <it>
		gender <it>
		action <kill> {
			msg <You aim your machine gun and fire! the zombie dies quikly. No-one hears the gun shot.>
			playwav <gun.wav>
			hide <zombie lobby>
			show <zombie costume>
		}
	end define

	define object <zombie costume>
		alias <zombie clothing>
		alt <clothes; costume>
		look <They are the clothes that zombies wear. You might need them.>
		take <You pick them up and put them on.>
		displaytype <Object>
		article <it>
		gender <it>
		drop nowhere <You take them off and put them on the floor.>
	end define

end define

define room <entertainment hall>
	alias <hall>
	look <This room is full of zombies waiting for you to kill an innocent man tied to a torture rack. These zombies are sick! There is a huge blender in which you will have to throw the man.>
	indescription <You are standing in a huge hall.>

	define object <zombies hall>
		alias <zombies>
		speak choose <talk to zombies>
		displaytype <Object>
		article <it>
		gender <it>
	end define

	define object <struggling man>
		alias <struggling man>
		alt <man; torture victim; victim>
		look if flag <human be able untie> then msg <The man is strapped to a rack. The zombies are distracted! You can untie him ( type "untie man).> else msg <He's strapped to a rack. The zombies are going to torture him!>
		prefix <a>
		displaytype <Character>
		article <him>
		gender <he>
		action <untie> if flag <human be able untie> then do <untie man> else msg <You can't untie him at the moment.>
	end define

	define object <man untied>
		alias <man>
		alt <man>
		look <He's the man you untied from the rack.>
		speak {
			msg <"Hey, i know how to get you out of hear" the man says. He pulls a gass grenade out of his pocket and throws it at the zombies. The efect happens at once. The zombies all pass out. The gass eats through the floor and the sleeping zombies fall into the maze below.|n"Where did you get that?"|n"I found it on the floor of my house. A mafia man put it there. As soon as I picked it up and was kidnapped by the vampires."|n"Lets get out of hear.">
			move <zombies hall; maze 3>
			create exit west <entertainment hall; cell>
		}
		prefix <a>
		displaytype <Character>
		article <him>
		gender <he>
	end define

end define

define room <cell>
	alias <cell>
	look <This cell is bare. You can see th door to the east.>
	indescription <You are in a prison cell.>
	up {
		if flag <vent reachable> then {
			msg <You stand on the cot and climb up the ventelation shaft. You come out on the roof.|n"We'll wait down hear" the woman yells. "Bob's to short to reach the ventelation shaft. You find us a way out.">
			goto <roof> } else msg <The ventelation shaft is to high to reach. Maybe there's a way to reach it.>
	}
	script {
		msg <The man runs forward to hug his family. Suddenly they stop laughing. A zombie stands in the doorway.|n"Sorry to interupt the family reunion but I'm going to have to lock you in hear.2|nThe door slams shut!|nYou are trapped!>
		msg <>
		if here <vampire cell> then msg <The family are huddle against the wall. A zombie is chucking tiny flecks of assid at the family. They couldn't kill any-one but they hurt.>
	}
	command <use key> {
		if got <key 2> then {
			msg <You unlock the door. You are suddenly electricuted not baddly. The key flies from your hand and lodges in a crack on the south wall. You walk over to it and turn it. The wall moves asside.>
			create exit south <cell; white room> } else msg <You don't have the key required to open the door.>
	}

	define object <man cell>
		alias <man>
		alt <man>
		look <He's the man you untied from the rack.>
		speak <"Can you think of any way out of hear #name#?"|n"No. That cot looks weird though.">
		prefix <the>
		displaytype <Character>
		article <him>
		gender <he>
	end define

	define object <man's wife cell>
		alias <man's wife>
		alt <wife; woman>
		look <She's the man's wife.>
		speak msg <Hey, look, there a ventelation shaft up there" the woman says.|n"Oh yah" you say as you look up. "If only there's a way to reach it."|n"Why is it so easy to reach?"|n"I don't know.">
		prefix <the>
		displaytype <Character>
		article <her>
		gender <she>
	end define

	define object <\Man's son cell>
		alias <man's son>
		alt <son; son; boy>
		look <He's the man's son.>
		speak <"Where's my sister and my other brother?"|n"I don't know but we'll find them" you reply.>
		displaytype <Character>
		article <him>
		gender <he>
	end define

	define object <cot>
		alias <cot>
		alt <cot; bed>
		look <It's a cot.>
		prefix <a>
		displaytype <Object>
		article <it>
		gender <it>
		properties <examine=You can see it could be moved.;examine=You can see it could be moved.>
		action <move> {
			msg <You move the cot over to the vent.>
			flag on <vent reachable>
		}
		action <move> {
			msg <You move the cot over to the vent.>
			flag on <vent reachable>
		}
	end define

end define

define room <roof>
	prefix <the>
	look <This is the roof of that building you were just in. You can see the tops of the chimneys of various zombie houses. You can see a key on another roof top but you can't see how you will make it there. Well if you had a hooik...>
	indescription <You are on the roof of the building.>
	down {
		msg <You jump down the ventelation shaft and arive back in the cell.>
		goto <cell>
	}

	define object <other rooftops>
		alias <rooftops>
		alt <rooves>
		look <They are the roves of all the zombie houses.>
		prefix <the>
		displaytype <Object>
		article <it>
		gender <it>
	end define

	define object <broken handle>
		alt <handle>
		look <It's a broken handle. It came from a door you guess but it's hard to tell. It's snapped into the shape of a hook. Maybe you could use it.>
		take <You pick up the handle.>
		prefix <a>
		displaytype <Object>
		article <it>
		gender <it>
		drop everywhere <You drop the handle.>
	end define

	define object <key 1>
		alias <key>
		alt <key>
		look <It's on another roof top. You could reach it with soething...>
		prefix <a>
		displaytype <Object>
		article <it>
		gender <it>
		action <take> {
			if got <rope> and got <broken handle> then {
				msg <You throw the sort of fishing hook. It catches the key and you pull it towards you. You then pick up the key.>
				hide <key 1>
				show <key 2>
				give <key 2> } else msg <You don't have both items required to perform that operation.>
		}
	end define

	define object <key 2>
		alias <key>
		alt <key>
		look <It's a key. You could unlock a door with it.>
		prefix <a>
		displaytype <Object>
		article <it>
		gender <it>
	end define

end define

define room <white room>
	alias <strange room>
	prefix <a>
	look <Everything in this room is white. Even the chest in the corner. You can see another ventelation shaft. It is really too high to reach this time.>
	indescription <You are standing in a strange room.>
	script msg <You hear a voice billowing from a loud speaker.|n"HA HA HA! I see you escaped the cell. Oh well. The man and his family you rescued are having fun at the hands of my vampire guard. I hope they die in agony. Anyway the vent is too high to reach and the chest is locked. NICE DYING! HA HA HA!">

	define object <chest>
		alias <chest>
		alt <chest>
		look <It's a white chest. You wonder if there's a key for it.>
		prefix <a white>
		displaytype <Object>
		article <it>
		gender <it>
		action <open> {
			if got <cabinet key> then {
				msg <It seems that the key that unlocked your cabinet in the dining room also unlocked this. The chest swings open revealing a lever.>
				msg <>
				if ask <Do you wish to pull the lever?> then {
					msg <You pull the lever. You hear a click. You are catapulted up through the vent. You fly out of the vent, fly north for a while then land on the roof abuv the cell. You can hear the screams from the cell below.>
					goto <roof>
					move <vampire cell; cell> } else msg <You decide not to pull the lever.> } else msg <The chest is locked. Maybe there's a key for it.>
		}
	end define

	define object <mirror>
		alias <mirror>
		alt <mirror>
		look <It's an uninteresting mirror.>
		speak <Your reflection can't talk to you.>
		prefix <a>
		displaytype <Object>
		article <it>
		gender <it>
	end define

end define

define room <objects>

	define object <vampire cell>
		alias <vampire>
		alt <vampire>
		look <It's a vampire attacking the family in the cell. You must kill it!>
		prefix <a>
		displaytype <Object>
		article <it>
		gender <it>
		action <kill> {
			msg <You aim your machine gun at the zombie and fire. It doesn't have any affect.>
			playwav <gun.wav>
		}
		action <fry> {
			msg <You aim your flashlight at the vampire and turn it on full power. The vampire shrivels and turns into a tiny speck of dust. it falls through a hole in the floor. Suddenly there is a huge explosion to the west. A huge crack has been blown out of the wall. You can see a ledge on the other side.>
			move <vampire cell; objects>
			create exit west <cell; ledge>
		}
		action <kill> {
			msg <You aim your machine gun at the zombie and fire. It doesn't have any affect.>
			playwav <gun.wav>
		}
		action <fry> {
			msg <You aim your flashlight at the vampire and turn it on full power. The vampire shrivels and turns into a tiny speck of dust. it falls through a hole in the floor. Suddenly there is a huge explosion to the west. A huge crack has been blown out of the wall. You can see a ledge on the other side.>
			move <vampire cell; objects>
		}
		action <kill> {
			msg <You aim your machine gun at the zombie and fire. It doesn't have any affect.>
			playwav <gun.wav>
		}
		action <fry> {
			msg <You aim your flashlight at the vampire and turn it on full power. The vampire shrivels and turns into a tiny speck of dust. it falls through a hole in the floor. Suddenly there is a huge explosion to the west. A huge crack has been blown out of the wall. You can see a ledge on the other side.>
			move <vampire cell; objects>
		}
	end define

end define

define room <ledge>
	alias <ledge>
	look <You look down at the town far below you. A huge zombie is laughing up at you. An equally large vampire is laughing its head off.|n"I thought you'd get this far scumbag. When you come down hear we will shoot you in the head with needles and suck your brains out!>
	indescription <You are standing on a ledge.>

	define object <giant slide>
		alt <slide>
		look <It's a huge slide that will take you down to the town.>
		prefix <a>
		displaytype <Object>
		article <it>
		gender <it>
		action <take> {
			msg <You slide down the slide back into the town.>
			goto <town 2>
		}
		action <untie> 
	end define

end define

define room <town 2>
	alias <town>
	prefix <the>
	look <This is the zombie town. The zombies are all dead.>
	indescription <You are standing in the zombie town.>
	script {
		msg <The boss charges at you!>
		timeron <final>
	}

	define object <boss>
		alias <boss>
		alt <b>
		look <He's the boss of the vampires. For help with fight hear are some things that make iteasier:|nYou can just type "s" instead of shoot|nInstead of typing "boss" you can type "b".|n|nENJOY!>
		prefix <the>
		suffix <of the zombies and vampires>
		displaytype <Character>
		article <him>
		gender <he>
		action <kill> {
			msg <You aim your machine gun and fire!|n"NOOOOOOOOOOOOOOOOOOOOOOOOOOOOOO! PLEASE DON'T KILL ME. PPPLLLEEEEAAAASSSSEEEE AAAAAAAA" he screams as you keep shooting him. Suddenly helicopters fly over. A ladder descends onto the ledge. The family start to climb into the helicopter. You wave to the helicopter and another ladder descends towards you. You climb up into the helicopter.>
			playerwin
			timeroff <final>
		}
	end define

end define

define procedure <talk to fbi>
	msg <"Hoi, did you just kill the zombies in that house?"|n"Yah" you reply.|n"Was that your house?"|n"Yah" you say again.|n"We think we know where all the zombies are coming from. It's that old house on top of the hill."|n"I'll investigate it. Look out!"|nThe agent is too late. A zombie jumps on his back and eats his brains out. You shoot the zombie.|n"Take that to your house" you scream at the corpse befor throwing it down a sewer. You are going to investigate that old house. You proceed at once to the old house.>
	goto <huge house gateway>
end define

define procedure <fry rat king>
	msg <You aim the flashlight at the king.|n2"NOOOOOOOOOOOO! The flashlight of doom! NOOOOOOOOOO!"|nThe king falls down a pipe and drowns!|n|n(YOU HAVEN'T WON THE GAME YET!)|n|nThe rats chase you towards the ladder. YOu grab it and start to climb. Suddenly a rat scurries up a pipe and pushes the ladder away from the wall (this isn't mant to make any sence what so ever.) YOu throw the rope and some-one grabs it on the other side. You hall yourself up and open the manhole. You crawl out onto park street. A zombie is leaning over you...>
	timeroff <rat timer>
	goto <street 2>
end define

define procedure <food first>
	msg <"Yah, lets" they all say with you.|nThey bring in a human on a tray. The zombies tuck in! These zombies are sick b******'s. Now's your chance to untie the strugling man.>
	flag on <human be able untie>
end define

define procedure <untie man>
	msg <You untie the man from the rack.|n"Thanks. There are loads of people in the rom to the east. My wife and kids."|n"You and your family and all the humans in this place need to get out of hear."|nThe man leaps down from the rack. You will have to be quik or the zombies will spot him.>
	hide <struggling man>
	show <man untied>
end define

define timer <zombie bedroom>
	interval <5>
	action {
		msg <The zombie hits you for 4 damage.>
		dec <hit points; 4>
		playwav <zombie 1.wav>
	}
	enabled
end define

define timer <zombie downstairs hallway>
	interval <3>
	action {
		msg <The zombie hits you for 6 damage.>
		playwav <zombie 1.wav>
		dec <hit points; 6>
	}
	disabled
end define

define timer <boss zombie kitchen>
	interval <2>
	action {
		msg <The zombie hits you for 9 damage.>
		playwav <zombie 2.wav>
		dec <hit points; 9>
	}
	disabled
end define

define timer <zombie front yard>
	interval <3>
	action {
		msg <The zombie hits you for 8 damage.>
		dec <hit points; 8>
	}
	disabled
end define

define timer <rat timer>
	interval <4>
	action {
		msg <The rat king gives you the plague! You go mental and all the other stuff the plague makes you do!|n|n(#NAME# YOU DIED!)>
		playerlose
	}
	disabled
end define

define timer <vampire suck blood>
	interval <3>
	action {
		msg <The vampire sucks your blood! He sucks out all your blood.|n|n(#name#, YOU DIED!)>
		playerlose
	}
	disabled
end define

define timer <final>
	interval <2>
	action {
		msg <The zombie boss chops out your stomach with his blood sucker!|n|n(#NAME#, YOU DIED!)>
		playerlose
	}
	disabled
end define

define text <intro>
Welcome to this game #name#.

In this game your objective is to find the treasure. This is the demo (the full version will come out soon.)

You wake up in bed.
A zombie is leaning over you! He is about to kill you! You pull out your machine gun. Suddenly you hear loads of zombies are all over the house. You have to kill them!
end define

define text <win>
The helicopter speeds towards your town. The family turn out to live there as well. You see a battlefield in the town. Vampires are killing people mercilessly!
"That's it scumbag zombies" you yell leap onto the ladder run down it and charge into the battle. Zombies fall to the ground like pins at a game of bowling. The fbi stare at you as you kill zombie after zombie. Yur new found energy makes you move allot faster. Suddenly you see the real boss of the zombies. You shoot him up the but.
 "AAAAAAAAAAAA" the boss screams as he falls backwards into a burning house and dies in agony. There is only one vampire left. You have one bullet left. Aiming right at it's neck you fire. It falls down dead. You pass out.

You wake up in hospital a week later.
"You did very well killing the zombies. You saved the world" the doctor says leaning over you. "The fbi have given you a million pounds!"
"COOOOOL!"
"I know. Now you can go home and meet your family.
(
You drive home. Suddenly you see your wife and kids waiting for you. You recognize the man from the cell. You realise he was your grandad! Suddenly you see your daughter crying your baby son down the street. She went missing in the vampire building.
You get what happens next.

(#NAME#, YOU WON!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!)
end define

define selection <talk to zombies>
	info <What will you say to the zombies>
	choice <"Sorry the shows canssled!"> {
		msg <"You are lying" they all scream befor ripping off the costume. They then eat your brains out!|n|n(#NAME#, YOU DIED!)>
		playerlose
	}
	choice <Lets have some food first befor killing the human> do <food first>
end define

